Bug 980368 - Lenovo x230 freezes upon resume in dock after suspend done outside
Lenovo x230 freezes upon resume in dock after suspend done outside
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
7.0
x86_64 Linux
high Severity high
: beta
: 7.0
Assigned To: Adam Jackson
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 03:44 EDT by Vladimir Benes
Modified: 2014-02-18 09:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-18 08:14:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2013-07-02 03:44:07 EDT
Description of problem:
When I suspend Lenovo X230 with Intel graphics (not sure about the component now) box completely freezes, I am now not sure if it's sshable or not. Will update this bug with logs if I can ssh into it.

Version-Release number of selected component (if applicable):
kernel-3.10.0-0.rc6.63.el7.x86_64
xorg-x11-drv-intel-2.21.8-1.el7.x86_64
xorg-x11-server-Xorg-1.14.1-4.el7.x86_64
systemd-204-8.el7.x86_64
pm-utils-1.4.1-23.el7.x86_64

How reproducible:
always

Steps to Reproduce:
having dock station with one DP and one DVI monitor attached
1.get the box outside of dock, (not sure if reboot is needed)
2.suspend it outside of the box
3.put it back to dock and resume

Actual results:
freeze

Expected results:
no freeze

Additional info:
keyboard's caps is not reacting so maybe it's not completely graphics only issue
Comment 1 Jesus M. Rodriguez 2013-10-15 21:25:13 EDT
I've got a similar bug though the steps are different.

1) boot laptop off the dock
2) suspend laptop (suspends normally)
3) dock the laptop, wake up (wakes up normally)
4) remove from dock (system is still running)
5) suspend laptop (laptop won't suspend)
6) open display (laptop is frozen, power cycle required)
Comment 3 Vladimir Benes 2014-02-18 08:14:37 EST
cannot see this any more -> closing

Note You need to log in before you can comment on or make changes to this bug.